---
custom_types:
  - uri: tag:feature
    schema:
      type: //rec
      required:
        name: //str
        available_in:
          type: //arr
          contents: //str
        documentation_link: //str
        reporter: //str
        stage: //str
        categories:
          type: //arr
          contents: //str
        description: //str
      optional:
        gitlab_com: //bool
        image_url: //str
        image_noshadow: //bool
        video: //str
        issue_url: //str
        epic_url: //str
        mr_url: //str
        issueboard_url: //str
        webpage_url: //str
        stage_url: //str
  - uri: tag:deprecation
    schema:
      type: //rec
      required:
        feature_name: //str
        due: //str
        reporter: //str
        description: //str
schema:
  type: //rec
  optional:
    features:
      type: //rec
      optional:
        top:
          type: //arr
          contents: tag:feature
          length: {min: 1, max: 1}
        primary:
          type: //arr
          contents: tag:feature
          length: {min: 1, max: 1}
        secondary:
          type: //arr
          contents: tag:feature
          length: {min: 1, max: 1}
    deprecations:
      type: //arr
      contents: tag:deprecation
      length: {min: 1, max: 1}
    upgrade:
      type: //rec
